Re: [algogeeks] How many games you will conduct to decide a winner for N players. Visualize in terms of a Data Structure.

2012-04-09 Thread Aman Raj
Ya tournament tree is fine, you can even check it on http://www.geeksforgeeks.org/archives/11556 To decide a winner among N people, ( n-1 ) people should loose. So N-1 games will decide. On Mon, Apr 9, 2012 at 12:45 AM, SAMM somnath.nit...@gmail.com wrote: This can be done using Tournament

Re: [algogeeks] Modified binary search

2012-04-09 Thread Aman Raj
how can there be multiple spikes and valleys?? say 1 2 3 4 5 6 7 if you rotate it once with rotation index 3 4 5 6 7 1 2 3 then again with index 2 6 7 1 2 3 4 5 So the multiple times rotation just means that the index of rotation is more then 1. On Fri, Apr 6, 2012 at 7:02 AM, Ashish Goel

[algogeeks] how to solve

2012-04-09 Thread tarun chabarwal
how should i approach this problem https://www.spoj.pl/problems/DCEPC206/ can it be solved in O(n)..? -- You received this message because you are subscribed to the Google Groups Algorithm Geeks group. To post to this group, send email to algogeeks@googlegroups.com. To unsubscribe from this

[algogeeks] Re: GPU doubt

2012-04-09 Thread vikas
Hey Arun, IIya, the GPUs are faster because of 1. designed for graphics processing, which involves a lot of matrix processing capabilities , simple example transformation of matrices in to various view (projection, model and viewport , some times needed even in real time) so these computation

[algogeeks] Intuit interview question

2012-04-09 Thread vaibhav agrawal
Hi, Any idea, what is the interview process of Intuit Inc.? I mean what do they concentrate on? Thanks, Vaibhav -- You received this message because you are subscribed to the Google Groups Algorithm Geeks group. To post to this group, send email to algogeeks@googlegroups.com. To unsubscribe

Re: [algogeeks] Re: GPU doubt

2012-04-09 Thread Varun Nagpal
Sorry for lot of typos On Mon, Apr 9, 2012 at 1:53 PM, Varun Nagpal varun.nagp...@gmail.comwrote: GP programming on GPU is useful for those algorithms which are computationally intensive, can be paralleled with least overheads, granularity of per thread computations is not big, less+similar

Re: [algogeeks] Path along the diameter of the binary tree

2012-04-09 Thread atul anand
finding end nodes of the diameter can be found in the below link :- http://groups.google.com/group/algogeeks/browse_thread/thread/8b6e326b75904d9a/92839f502d671599?hl=enlnk=gstq=Two+most+distant+element+in+tree#92839f502d671599 after finding 2 nodes we just need to find path between those 2

Re: [algogeeks] Which data structure to use in searching a list for information about - -

2012-04-09 Thread Ashish Goel
dual key hashmap actor,film Best Regards Ashish Goel Think positive and find fuel in failure +919985813081 +919966006652 On Sun, Apr 8, 2012 at 2:37 PM, bharat b bagana.bharatku...@gmail.comwrote: Maintain an vector of structure Film_actors for List of actors Maintain an vector of structure

Re: [algogeeks] how to solve

2012-04-09 Thread bharath kannan
I dont know if it can be solved in O(n). But O(nlogn) can be done using BIT. Refer topcoder tutorial for Binary indexed trees. On Mon, Apr 9, 2012 at 10:56 AM, tarun chabarwal admin20...@gmail.comwrote: how should i approach this problem https://www.spoj.pl/problems/DCEPC206/ can it be